## athena10-apt-repo.tgz

=== Makefile ===
# $Id: Makefile,v 1.20 2006-07-25 23:14:55 ghudson Exp $

SHELL=/bin/sh
PROTOTYPE=/usr/prototype_user
PROTOTMP=/usr/lib/prototype_tmpuser
SYSTEM=/usr/lib/init
ATHMANDIR=/usr/share/man
ATHRETCDIR=/etc/athena
ATHLOGINDIR=${ATHRETCDIR}/login

all:
	cd os/${OS} && ${MAKE} $@
	cd gnome && ${MAKE} $@

check:
	cd os/${OS} && ${MAKE} $@
	cd gnome && ${MAKE} $@

install:
	mkdir -p ${DESTDIR}${PROTOTYPE}
	mkdir -p ${DESTDIR}${PROTOTMP}
	mkdir -p ${DESTDIR}${SYSTEM}
	mkdir -p ${DESTDIR}${ATHMANDIR}/man1
	mkdir -p ${DESTDIR}${ATHMANDIR}/man7
	mkdir -p ${DESTDIR}${ATHLOGINDIR}
	install -c -m 0755 Xsession ${DESTDIR}${ATHLOGINDIR}
	install -c -m 0644 cshrc ${DESTDIR}${SYSTEM}
	install -c -m 0644 dot.cshrc ${DESTDIR}${PROTOTYPE}/.cshrc
	install -c -m 0644 dot.cshrc ${DESTDIR}${PROTOTMP}/.cshrc
	install -c -m 0644 dot.login ${DESTDIR}${PROTOTYPE}/.login
	install -c -m 0644 dot.login ${DESTDIR}${PROTOTMP}/.login
	install -c -m 0644 dot.logout ${DESTDIR}${PROTOTYPE}/.logout
	install -c -m 0644 dot.mh_profile ${DESTDIR}${PROTOTYPE}/.mh_profile
	install -c -m 0644 dot.bash_login ${DESTDIR}${PROTOTYPE}/.bash_login
	install -c -m 0644 dot.bash_login ${DESTDIR}${PROTOTMP}/.bash_login
	install -c -m 0644 dot.bashrc ${DESTDIR}${PROTOTYPE}/.bashrc
	install -c -m 0644 dot.bashrc ${DESTDIR}${PROTOTMP}/.bashrc
	install -c -m 0644 dot.generation ${DESTDIR}${PROTOTYPE}/.generation
	install -c -m 0644 dot.generation ${DESTDIR}${PROTOTMP}/.generation
	install -c -m 0644 env_remove ${DESTDIR}${SYSTEM}
	install -c -m 0644 env_setup ${DESTDIR}${SYSTEM}
	install -c -m 0755 gnome-stuff-1-to-2 ${DESTDIR}${SYSTEM}
	install -c -m 0755 gnome-panel-1-to-2 ${DESTDIR}${SYSTEM}
	install -c -m 0444 lockers.7 ${DESTDIR}${ATHMANDIR}/man7
	install -c -m 0644 login ${DESTDIR}${SYSTEM}
	install -c -m 0755 quotawarn.sh ${DESTDIR}${SYSTEM}/quotawarn
	install -c -m 0644 bashrc ${DESTDIR}${SYSTEM}
	install -c -m 0644 bash_login ${DESTDIR}${SYSTEM}
	install -c -m 0444 renew.1 ${DESTDIR}${ATHMANDIR}/man1
	install -c -m 0555 revert-to-sawfish.sh \
	  ${DESTDIR}${SYSTEM}/revert-to-sawfish
	install -c -m 0644 temp.README ${DESTDIR}${PROTOTMP}/README
	install -c -m 0644 temp.mh_profile ${DESTDIR}${PROTOTMP}/.mh_profile
	install -c -m 0644 welcome ${DESTDIR}${PROTOTYPE}
	install -c -m 0644 welcome ${DESTDIR}${PROTOTMP}
	install -c -m 0755 xkill-mozilla.sh ${DESTDIR}${SYSTEM}/xkill-mozilla
	install -c -m 0755 xsession ${DESTDIR}${SYSTEM}
	install -c -m 0755 xsession.bash ${DESTDIR}${SYSTEM}
	cd os/${OS} && ${MAKE} $@
	cd gnome && ${MAKE} $@

clean:
	cd os/${OS} && ${MAKE} $@
	cd gnome && ${MAKE} $@

distclean:
	cd os/${OS} && ${MAKE} $@
	cd gnome && ${MAKE} $@

=== gnome/Makefile ===
# $Id: Makefile,v 1.6 2006-08-09 15:42:50 rbasch Exp $

PIXMAPDIR=/usr/share/pixmaps
GNOMEATHDIR=/usr/share/gnome/athena
SCHEMASDIR=/usr/share/gconf/schemas
AFSMENUS=/afs/athena.mit.edu/system/config/panel/menus
APPLICATIONS=/usr/share/applications

all: athena.schemas

athena.schemas: athena.schemas.in
	rm -f $@
	perl gen-schemas.pl athena.schemas.in > $@

check:

install:
	mkdir -p ${DESTDIR}${PIXMAPDIR}
	mkdir -p ${DESTDIR}${GNOMEATHDIR}
	mkdir -p ${DESTDIR}${SCHEMASDIR}
	mkdir -p ${DESTDIR}${APPLICATIONS}
	install -c -m 0644 browser.desktop ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 editor.desktop ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 logout.desktop ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 mail.desktop ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 terminal.desktop ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0755 browser-script ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0755 editor-script ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0755 logout-script ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0755 mail-script ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0755 terminal-script ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 browser-icon ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 editor-icon ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 logout-icon ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 mail-icon ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 menu-icon ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 terminal-icon ${DESTDIR}${GNOMEATHDIR}
	install -c -m 0644 info.png ${DESTDIR}${PIXMAPDIR}
	install -c -m 0644 logout-icon-menu.png ${DESTDIR}${PIXMAPDIR}
	install -c -m 0644 athena.schemas ${DESTDIR}${SCHEMASDIR}
	rm -f $(DESTDIR)$(GNOMEATHDIR)/menus
	ln -s $(AFSMENUS)-$(ATHENA_MAJOR_VERSION).$(ATHENA_MINOR_VERSION) \
		$(DESTDIR)$(GNOMEATHDIR)/menus
	rm -f $(DESTDIR)$(GNOMEATHDIR)/menus.tar
	ln -s $(AFSMENUS)-$(ATHENA_MAJOR_VERSION).$(ATHENA_MINOR_VERSION).tar \
		$(DESTDIR)$(GNOMEATHDIR)/menus.tar
	install -c -m 0644 athena-office.desktop ${DESTDIR}${APPLICATIONS}
	install -c -m 0644 athena-pdf.desktop ${DESTDIR}${APPLICATIONS}
	install -c -m 0644 athena-web.desktop ${DESTDIR}${APPLICATIONS}
	install -c -m 0644 realplay.desktop ${DESTDIR}${APPLICATIONS}
	install -c -m 0644 ivview.desktop ${DESTDIR}${APPLICATIONS}
	install -c -m 0644 freewrl.desktop ${DESTDIR}${APPLICATIONS}
	install -c -m 0644 defaults.list ${DESTDIR}${APPLICATIONS}

clean:
	rm -f athena-panel-config.schemas

distclean: clean

=== os/irix/Makefile ===
# $Id: Makefile,v 1.6 2000-04-27 14:21:09 rbasch Exp $

SHELL=/bin/sh
SYSTEM=/usr/athena/lib/init
ETCDIR=/etc
ATHRETCDIR=/etc/athena
ATHLOGINDIR=${ATHRETCDIR}/login

all:

check:

install:
	mkdir -p ${DESTDIR}${SYSTEM}
	mkdir -p ${DESTDIR}${ETCDIR}
	mkdir -p ${DESTDIR}${ATHLOGINDIR}
	install -c -m 0755 Xsession ${DESTDIR}${ATHLOGINDIR}
	install -c -m 0755 Xsession.dt ${DESTDIR}${SYSTEM}
	install -c -m 0644 cshrc ${DESTDIR}${SYSTEM}
	install -c -m 0644 root.cshrc ${DESTDIR}/.cshrc
	install -c -m 0644 root.login ${DESTDIR}/.login
	install -c -m 0644 root.profile ${DESTDIR}/.profile
	install -c -m 0755 root.xsession ${DESTDIR}/.xsession
	install -c -m 0644 system.cshrc ${DESTDIR}${ETCDIR}/cshrc
	install -c -m 0644 system.profile ${DESTDIR}${ETCDIR}/profile
	install -c -m 0755 xsession ${DESTDIR}${SYSTEM}

clean:

distclean:

=== os/linux/Makefile ===
# $Id: Makefile,v 1.9 2005-04-26 20:28:21 ghudson Exp $

all:

check:

install:
	mkdir -p ${DESTDIR}/root
	install -c -m 0644 root.cshrc ${DESTDIR}/root/.cshrc
	install -c -m 0644 root.bashrc ${DESTDIR}/root/.bashrc
	install -c -m 0644 root.bash_login ${DESTDIR}/root/.bash_login
	install -c -m 0644 root.login ${DESTDIR}/root/.login
	install -c -m 0644 root.profile ${DESTDIR}/root/.profile
	install -c -m 0755 root.xsession ${DESTDIR}/root/.xsession

clean:

distclean:

=== os/solaris/Makefile ===
# $Id: Makefile,v 1.9 2005-04-26 20:28:23 ghudson Exp $

ETCDIR=/etc

all:

check:

install:
	mkdir -p ${DESTDIR}${ETCDIR}
	install -c -m 0644 root.bashrc ${DESTDIR}/.bashrc
	install -c -m 0644 root.bash_login ${DESTDIR}/.bash_login
	install -c -m 0644 root.cshrc ${DESTDIR}/.cshrc
	install -c -m 0644 root.login ${DESTDIR}/.login
	install -c -m 0644 root.profile ${DESTDIR}/.profile
	install -c -m 0755 root.xsession ${DESTDIR}/.xsession
	install -c -m 0644 system.cshrc ${DESTDIR}${ETCDIR}/.cshrc
	install -c -m 0644 system.login ${DESTDIR}${ETCDIR}/.login
	install -c -m 0644 system.profile ${DESTDIR}${ETCDIR}/profile

clean:

distclean:

=== clients/moira/Doc/Makefile ===
# $Header$

all: internal.PS

internal.PS: internal.mss
	scribe internal

clean:
	rm -f *.PS *.err *.aux *.otl

=== share/doc/bash/examples/loadables/Makefile ===
#
# Simple makefile for the sample loadable builtins
#
# Copyright (C) 1996 Free Software Foundation, Inc.     

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.

# Include some boilerplate Gnu makefile definitions.
prefix = /usr

exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
infodir = /usr/share/info
includedir = ${prefix}/include

topdir = ../../../bash
BUILD_DIR = /build/ghudson-bash_3.2-0ubuntu18debathena5-amd64-uyxfsS/bash_3.2-0ubuntu18debathena5/build-bash
srcdir = ../../../bash/examples/loadables
VPATH = .:../../../bash/examples/loadables


CC = gcc
RM = rm -f

SHELL = /bin/sh

host_os = linux-gnu
host_cpu = x86_64
host_vendor = pc

CFLAGS = -g -O2 -Wall
LOCAL_CFLAGS = 
DEFS = -DHAVE_CONFIG_H
LOCAL_DEFS = -DSHELL

CPPFLAGS = -DHESIOD

BASHINCDIR = ${topdir}/include

LIBBUILD = ${BUILD_DIR}/lib

INTL_LIBSRC = ${topdir}/lib/intl
INTL_BUILDDIR = ${LIBBUILD}/intl
INTL_INC = 
LIBINTL_H = 

CCFLAGS = $(DEFS) $(LOCAL_DEFS) $(LOCAL_CFLAGS) $(CFLAGS)

#
# These values are generated for configure by ${topdir}/support/shobj-conf.
# If your system is not supported by that script, but includes facilities for
# dynamic loading of shared objects, please update the script and send the
# changes to bash-maintainers@gnu.org.
#
SHOBJ_CC = gcc
SHOBJ_CFLAGS = -fPIC
SHOBJ_LD = ${CC}
SHOBJ_LDFLAGS = -shared -Wl,-soname,$@
SHOBJ_XLDFLAGS = 
SHOBJ_LIBS = 
SHOBJ_STATUS = supported

INC = -I. -I.. -I$(topdir) -I$(topdir)/lib -I$(topdir)/builtins \
      -I$(BASHINCDIR) -I$(BUILD_DIR) -I$(LIBBUILD) \
      -I$(BUILD_DIR)/builtins $(INTL_INC)

.c.o:
	$(SHOBJ_CC) $(SHOBJ_CFLAGS) $(CCFLAGS) $(INC) -c -o $@ $<


ALLPROG = print truefalse sleep pushd finfo logname basename dirname \
	  tty pathchk tee head mkdir rmdir printenv id whoami \
	  uname sync push ln unlink cut realpath getconf strftime
OTHERPROG = necho hello cat

all:	$(SHOBJ_STATUS)

supported:	$(ALLPROG)
others:		$(OTHERPROG)

unsupported:
	@echo "Your system (${host_os}) is not supported by the"
	@echo "${topdir}/support/shobj-conf script."
	@echo "If your operating system provides facilities for dynamic"
	@echo "loading of shared objects using the dlopen(3) interface,"
	@echo "please update the script and re-run configure.
	@echo "Please send the changes you made to bash-maintainers@gnu.org"
	@echo "for inclusion in future bash releases."

everything: supported others

print:	print.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ print.o $(SHOBJ_LIBS)

necho:	necho.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ necho.o $(SHOBJ_LIBS)

getconf: getconf.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ getconf.o $(SHOBJ_LIBS)

hello:	hello.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ hello.o $(SHOBJ_LIBS)

truefalse: truefalse.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ truefalse.o $(SHOBJ_LIBS)

sleep:	sleep.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ sleep.o $(SHOBJ_LIBS)

finfo:	finfo.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ finfo.o $(SHOBJ_LIBS)

cat:	cat.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ cat.o $(SHOBJ_LIBS)

logname:	logname.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ logname.o $(SHOBJ_LIBS)

basename:	basename.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ basename.o $(SHOBJ_LIBS)

dirname:	dirname.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ dirname.o $(SHOBJ_LIBS)

tty:	tty.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ tty.o $(SHOBJ_LIBS)

pathchk:	pathchk.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ pathchk.o $(SHOBJ_LIBS)

tee:	tee.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ tee.o $(SHOBJ_LIBS)

mkdir:	mkdir.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ mkdir.o $(SHOBJ_LIBS)

rmdir:	rmdir.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ rmdir.o $(SHOBJ_LIBS)

head:	head.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ head.o $(SHOBJ_LIBS)

printenv:	printenv.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ printenv.o $(SHOBJ_LIBS)

id:	id.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ id.o $(SHOBJ_LIBS)

whoami:	whoami.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ whoami.o $(SHOBJ_LIBS)

uname:	uname.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ uname.o $(SHOBJ_LIBS)

sync:	sync.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ sync.o $(SHOBJ_LIBS)

push:	push.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ push.o $(SHOBJ_LIBS)

ln:	ln.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ ln.o $(SHOBJ_LIBS)

unlink:	unlink.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ unlink.o $(SHOBJ_LIBS)

cut:	cut.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ cut.o $(SHOBJ_LIBS)

realpath:	realpath.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ realpath.o $(SHOBJ_LIBS)

strftime:	strftime.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ strftime.o $(SHOBJ_LIBS)

# pushd is a special case.  We use the same source that the builtin version
# uses, with special compilation options.
#
pushd.c:	${topdir}/builtins/pushd.def
	$(RM) $@
	${BUILD_DIR}/builtins/mkbuiltins -D ${topdir}/builtins ${topdir}/builtins/pushd.def

pushd.o:	pushd.c
	$(RM) $@
	$(SHOBJ_CC) -DHAVE_CONFIG_H -DPUSHD_AND_POPD -DLOADABLE_BUILTIN $(SHOBJ_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(INC) -c -o $@ $<

pushd:	pushd.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ pushd.o $(SHOBJ_LIBS)

clean:
	$(RM) $(ALLPROG) $(OTHERPROG) *.o
	-( cd perl && ${MAKE} ${MFLAGS} $@ )

mostlyclean:	clean
	-( cd perl && ${MAKE} ${MFLAGS} $@ )

distclean maintainer-clean: clean
	$(RM) Makefile pushd.c
	-( cd perl && ${MAKE} ${MFLAGS} $@ )

print.o: print.c
truefalse.o: truefalse.c
sleep.o: sleep.c
finfo.o: finfo.c
logname.o: logname.c
basename.o: basename.c
dirname.o: dirname.c
tty.o: tty.c
pathchk.o: pathchk.c
tee.o: tee.c
head.o: head.c
rmdir.o: rmdir.c
necho.o: necho.c
getconf.o: getconf.c
hello.o: hello.c
cat.o: cat.c
printenv.o: printenv.c
id.o: id.c
whoami.o: whoami.c
uname.o: uname.c
sync.o: sync.c
push.o: push.c
mkdir.o: mkdir.c
realpath.o: realpath.c
strftime.o: strftime.c

=== debian/changelog ===
config-package-dev (4.9) unstable; urgency=low

  [ Tim Abbott ]
  * Fix destdir handling for multiple binary packages in
    DEB_TRANSFORM_FILES.

  [ Anders Kaseorg ]
  * Use set -e in multi-statement Makefile commands.

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 04 Oct 2008 00:28:23 -0400

config-package-dev (4.8) unstable; urgency=low

  * Add additional documentation to the makefile fragments
  * Add doc/ directory with pointer to online documentation
  * Add examples/ directory (Closes: #486130).
  * Rename configures- to diverts- as the prefix for the virtual packages
    that cause packages diverting the same file to conflict, since that is
    clearer.

 -- Tim Abbott <tabbott@mit.edu>  Sun, 13 Jul 2008 01:54:48 -0400

config-package-dev (4.7) unstable; urgency=low

  * Move homepage field to source package section, so it works.
  * Make DEB_TRANSFROM_FILES targets depend on common-build-arch and
    common-build-indep, so it works with architecture-dependent packages.
  * Remove useless clean code from transform-files.mk.
  * Move divert.mk from binary-fixup to binary-post-install.
  * Add debhelper.mk to divert.mk, since we use its
    binary-post-install/package target.
  * Change maintainer to me, rather than debathena@mit.edu, since I'll be
    maintaining config-package-dev in Debian.
  * Upload to Debian (Closes: #469107)

 -- Tim Abbott <tabbott@mit.edu>  Sat, 03 May 2008 13:37:12 -0400

config-package-dev (4.6) unstable; urgency=low

  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL so it can be uploaded to Debian.
  * Add me as uploader.
  * move homepage to homepage field.

 -- Tim Abbott <tabbott@mit.edu>  Wed, 23 Apr 2008 17:08:15 -0400

config-package-dev (4.5) unstable; urgency=low

  * Rename DEB_REPLACE_FILES to DEB_TRANSFORM_FILES
  * Create new config-package.mk as the outward-facing makefile fragment.
  * Replace DEB_{UNREMOVE,UNDIVERT}_FILES_VERSION_file with
    DEB_$1_VERSION_file

 -- Tim Abbott <tabbott@mit.edu>  Mon, 21 Apr 2008 18:39:40 -0400

config-package-dev (4.4.1) unstable; urgency=low

  * Version bump, since 4.4~ << 4.4 causes build failures on Debathena.

 -- Tim Abbott <tabbott@mit.edu>  Mon, 21 Apr 2008 17:51:02 -0400

config-package-dev (4.4) unstable; urgency=low

  * Add new DEB_REMOVE_FILES_$package variable designed for removing
    files in .d directories.
  * Move the "configure-" in the filename encoding from the encode script
    to divert.mk, so that we can re-use the encoder for DEB_REMOVE_FILES.
  * Add new DEB_UNDIVERT_FILES_package and DEB_UNREMOVE_FILES_package
    API variables for having a new version of the package stop diverting a
    file.
  * Correct check for not generating an empty if clause when no files are
    being diverted.
  * Remove only the last DEB_DIVERT_EXTENSION from filenames.

 -- Tim Abbott <tabbott@mit.edu>  Sat, 19 Apr 2008 21:03:02 -0400

config-package-dev (4.3) unstable; urgency=low

  * Fix bug where DEB_DIVERT code gets added twice if a package uses both
    DEB_DIVERT_FILES and DEB_REPLACE_FILES.

 -- Tim Abbott <tabbott@mit.edu>  Sun,  6 Apr 2008 19:41:45 -0400

config-package-dev (4.2) unstable; urgency=low

  * Rename DEB_REPLACE_FILES_SOURCE to DEB_CHECK_FILES_SOURCE, and
    move it to check-files.mk, since it really is a check-files.mk
    feature.
  * Make check-files.mk include divert.mk.
  * Don't directly include divert.mk in replace-files.mk.

 -- Tim Abbott <tabbott@mit.edu>  Sun, 17 Feb 2008 23:01:08 -0500

config-package-dev (4.1) unstable; urgency=low

  * Rename various API variables to make interface cleaner.
  * Rename variables involving DEBIAN to DEB in variable names.
  * Rename CONFFILES to FILES in variable names.
  * Rename divert:Diverted to divert:Files
  * Replace DEB_CONFFILE_DEST with DEB_REPLACE_FILES_SOURCE, changing the
    source rather than the destination.
  * Rename replace-conffiles.mk and check-conffiles.mk to *-files.mk.
  * Add support for multiple files with same basename to replace_files.mk
    via the DEB_TRANSFORM_SCRIPT variable.
  * Remove deprecated check-files interface.
  * Rename DEB_DIVERT_SUFFIX to DEB_DIVERT_EXTENSION.

 -- Tim Abbott <tabbott@mit.edu>  Mon,  4 Feb 2008 02:07:16 -0500

config-package-dev (4.0) unstable; urgency=low

  * Rename variables to be appropriate for non-MIT sites.

 -- Tim Abbott <tabbott@mit.edu>  Thu, 31 Jan 2008 15:15:20 -0500

debathena-config-build-common (3.6) unstable; urgency=low

  * Add new debathena-replace-conffiles.mk, a more user-friendly wrapper
    for debathena-check-conffiles.mk and debathena-divert.mk.
  * Change debathena-check-conffiles.mk to allow checking md5sums of
    packaged files which are not marked as configuration files
    (e.g. /etc/adduser/adduser.conf).
  * Change debathena-divert.mk to not set DEBATHENA_DIVERT_SUFFIX unless
    it is not already set.
  * Change debathena-divert.mk to support adding Provides: and Conflicts:
    lines for each diverted configuration file.
  * Change debathena-divert.mk to divert everything in
    DEBATHENA_REPLACE_CONFFILES.

 -- Tim Abbott <tabbott@mit.edu>  Wed, 30 Jan 2008 20:03:36 -0500

debathena-config-build-common (3.5) unstable; urgency=low

  * Change check-conffiles interface to make it work properly with 
    dpkg-diverted files.

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 13 Aug 2007 17:59:43 -0400

debathena-config-build-common (3.4) unstable; urgency=low

  * Need [ -e ] || [ -L ] to check for existence, instead of just [ -e ].

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 06:57:18 -0400

debathena-config-build-common (3.3) unstable; urgency=low

  * Add check-conffiles script.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 03 Aug 2007 17:50:20 -0400

debathena-config-build-common (3.2) unstable; urgency=low

  * Add debconf-hack script.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 24 Jul 2007 20:41:13 -0400

debathena-config-build-common (3.1) unstable; urgency=low

  * Divert with the current package name, not the empty string.


=== debian/control ===
Source: debathena-thirdparty-libraries
Section: debathena/base
Priority: extra
Maintainer: Debathena Project <debathena@mit.edu>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.6.2

Package: debathena-thirdparty-libraries
Architecture: all
Depends: libatlas-base-dev,
 libatlas-sse-dev,
 libatlas-sse2-dev,
 libatlas-doc,
 liblapack-dev,
 liblapack-doc,
 libblas-dev,
 libblas-doc,
 libboost-date-time-dev,
 libboost-date-time1.34.1,
 libboost-dev,
 libboost-doc,
 libboost-filesystem-dev,
 libboost-filesystem1.34.1,
 libboost-graph-dev,
 libboost-graph1.34.1,
 libboost-iostreams-dev,
 libboost-iostreams1.34.1,
 libboost-program-options-dev,
 libboost-python-dev,
 libboost-python1.34.1,
 libboost-regex-dev,
 libboost-serialization-dev,
 libboost-serialization1.34.1,
 libboost-signals-dev,
 libboost-signals1.34.1,
 libboost-test-dev,
 libboost-test1.34.1,
 libboost-thread-dev,
 libboost-thread1.34.1,
 libboost-wave-dev,
 libboost-wave1.34.1,
 libmotif3,
 motif-clients,
 gsl-bin,
 gsl-doc-pdf,
 gsl-ref-html,
 libgsl0-dev,
 libocamlgsl-ocaml,
 libocamlgsl-ocaml-dev,
 libcairo2-doc,
 libcairomm-1.0-dev,
 libcairomm-1.0-doc,
 libcairo-ocaml,
 libcairo-ocaml-dev,
 libglitz1,
 libglitz1-dev,
 libglitz-glx1,
 libglitz-glx1-dev,
 libvtk5,
 libvtk5-dev,
 libvtk5-qt4,
 libvtk5-qt4-dev,
 python-pyvtk,
 python-vtk,
 vtk-doc,
 vtk-examples,
 vtk-tcl,
 vtkdata,
 qt4-designer,
 qt4-qtconfig,
 qt4-doc,
 qt4-dev-tools,
 libqt4-gui,
 libqt4-dev,
 libqt4-core,
 libfftw3-3,
 libfftw3-dev,
 libfftw3-doc,
 mffm-fftw-dev,
 libginac1.4,
 libginac-dev,
 ginac-tools,
 libcln5,
 libcln-dev,
 libitpp6 | libitpp6gf,
 libitpp-dev,
 libqhull-dev,
 libqhull5,
 qhull-bin,
 libgmp3-dev,
 libgmp3-doc,
 libgmpxx4ldbl,
 python-gmpy,
 libpari2-gmp,
 libpari2-gmp-dev,
 libgmp-ocaml,
 libgmp-ocaml-dev,
 libwxbase2.6-dev,
 libwxgtk2.6-dev,
 wx-common,
 wx2.6-doc,
 libtiff4-dev,
 libnspr4-dev,
 libpoppler-glib-dev,
 libgtksourceview-dev,
 libnss3-dev,
 xulrunner-1.9-dev,
 liblog4net1.2-cil,
 dx,
 dx-doc,
 dxsamples,
 guile-1.8,
 guile-1.8-doc,
 guile-1.8-dev,
 guile-cairo,
 libqt-perl
Description: Athena 10 debathena-thirdparty-libraries software suite.
 This includes a set of subpackages of commonly-used third-party software
 within the libraries domain.  It is intended for cluster machines though usable
 anywhere.  Direct questions about software included in this metapackage
 to 3partysw@mit.edu.

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
include /usr/share/cdbs/1/rules/debhelper.mk

APT_CACHE = $(CURDIR)/debian/apt-cache
APT_FILE_CACHE = $(CURDIR)/debian/apt-file-cache
TMPEXTRACT = $(CURDIR)/debian/tmpextract
TMPCONTROL = $(CURDIR)/debian/tmpcontrol

APTITUDE_LOCKFILE = $(CURDIR)/debian/aptitude-lockfile
APTITUDE_STATE = $(CURDIR)/debian/aptitude-state
APTITUDE = aptitude -o 'Aptitude::LockFile=$(APTITUDE_LOCKFILE)' -o 'Dir::Cache=$(APT_CACHE)' -o 'Dir::Aptitude::state=$(APTITUDE_STATE)' -o "Debug::NoLocking=yes"

ATHENA_SHLIBS = $(shell ATHENA_SYS=$$(machtype -S) ATHENA_SYS_COMPAT=$$(machtype -C) athdir . shlibs)

LIBDIRS := $(patsubst %/,%,$(strip \
	    $(shell strings /lib*/ld-linux*.so.2 | grep '^/.*lib') \
	    $(shell grep -h '^/' /etc/ld.so.conf /etc/ld.so.conf.d/*.conf) \
	))

$(APT_FILE_CACHE):
	mkdir -p $@
	apt-file -c $@ update

empty =

$(APT_CACHE): $(ATHENA_SHLIBS) $(APT_FILE_CACHE) $(APTITUDE_STATE)
	mkdir -p $@ $@/archives $@/archives/partial
	apt-file --verbose -y -c $(APT_FILE_CACHE) -F -l -x search "^(?:$(subst $(empty) /,|, $(LIBDIRS)))/(?:$$( \
	    perl -0pe 's/ .*//mg; s/(\W)/\\$$1/g; s/\\\n$$//; s/\\\n/|/g' < $< \
	))" | \
	    sort -u | \
	    perl -pe 'chomp; s/(\W)/\\$$1/g; s/^(.*)$$/~n^$$1\$$!~Rconflicts:(~Dreplaces:(~n^$$1\$$~VCANDIDATE)~Dconflicts:(~n^$$1\$$~VCANDIDATE))/; s/$$/\0/' | \
	    xargs -0 -r -t $(APTITUDE) -F '%p' search | \
	    (cd $@/archives; xargs -r -t $(APTITUDE) download)

$(APTITUDE_STATE):
	mkdir -p $@

debian/libs: $(ATHENA_SHLIBS) $(APT_CACHE)
	: >| $@
	for pkg in $(APT_CACHE)/archives/*.deb; do \
	    echo "$$(basename $$pkg)" >&2; \
	    rm -rf $(TMPCONTROL) $(TMPEXTRACT); \
	    mkdir -p $(TMPCONTROL) $(TMPEXTRACT); \
	    dpkg-deb -e "$$pkg" $(TMPCONTROL)/; \
	    [ -e $(TMPCONTROL)/shlibs ] || continue; \
	    dpkg-deb -x "$$pkg" $(TMPEXTRACT)/; \
	    perl -pe 's/^((\S+)\.so\.(\S+))\s+(\S+)$$/$$1 $$4 $$2 $$3/ or s/^((\S+)-(\S+)\.so)\s+(\S+)$$/$$1 $$4 $$2 $$3/ or $$_ = ""' < $< | \
		while read lib format libname soname; do \
		    for dir in $(LIBDIRS); do \
			if [ -e "$(TMPEXTRACT)/$$dir/$$lib" ] && \
			    [ "$$(objdump -a -- "$(TMPEXTRACT)/$$dir/$$lib" | \
				sed -n 's/^.*file format *\(.*\)$$/\1/ p')" = "$$format" ]; then \
			    if grep -q "^\\($$libname\\)[[:space:]]\\+\\($$soname\)[[:space:]]\\+" $(TMPCONTROL)/shlibs; then \
				sed -n "s/^\\($$libname\\)[[:space:]]\\+\\($$soname\)[[:space:]]\\+/\\1 \\2 / p" $(TMPCONTROL)/shlibs; \
			    else \
				echo "Warning: fabricating shlibs line for $$libname $$soname" >&2; \
				echo "$$libname $$soname $$(sed -n 's/^Package:[[:space:]]*// p' $(TMPCONTROL)/control)"; \
			    fi | \
				sed -e 's/ BROKEN_DEP_ON_OBSOLETE_DB2$$/ libdb2 (>= 2:2.7.7.0-1)/' \
				    -e 's/ libgl1.*$$/ libgl1/' >> $@; \
			    break; \
			fi \
		    done \
		done; \
	    rm -rf $(TMPCONTROL) $(TMPEXTRACT); \
	done

common-build-arch:: debian/libs

debathena-athena-libraries-substvars: debian/libs
	( \
	    echo -n "debathena-athena-libraries:Recommends="; \
	    cat $< | sed 's/^[^[:space:]]\+[[:space:]]\+[^[:space:]]\+[[:space:]]\+//' | sort -u | tr '\n' ','; \
	    echo; \
	) >> debian/debathena-athena-libraries.substvars

binary-predeb/debathena-athena-libraries:: debathena-athena-libraries-substvars

clean::
	rm -f debian/libs $(APTITUDE_LOCKFILE)
	rm -rf $(APT_CACHE) $(APT_FILE_CACHE) $(TMPCONTROL) $(TMPEXTRACT) $(APTITUDE_STATE)
